Supported engine versions - Amazon MQ

Supported engine versions

A broker engine is a type of message broker that runs on Amazon MQ.

ActiveMQ engine versions

Amazon MQ supports the following versions of ActiveMQ:

  • ActiveMQ 5.15.14 (recommended)

    Important

    Due to a known Apache ActiveMQ issue in this release, the new Pause Queue button in the ActiveMQ web console cannot be used with Amazon MQ for ActiveMQ brokers. For more information about this issue, see AMQ-8104.

  • ActiveMQ 5.15.13

  • ActiveMQ 5.15.12

  • ActiveMQ 5.15.10

  • ActiveMQ 5.15.9

  • ActiveMQ 5.15.8

  • ActiveMQ 5.15.6

  • ActiveMQ 5.15.0

RabbitMQ engine versions

Amazon MQ supports the following versions of RabbitMQ:

  • RabbitMQ 3.8.6